Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.persistence
Class MapProcessPersistenceContextManager

    java.lang.Object
      org.drools.persistence.map.MapPersistenceContextManager
          org.jbpm.persistence.MapProcessPersistenceContextManager

All Implemented Interfaces:
  org.drools.persistence.PersistenceContextManager, ProcessPersistenceContextManager

    public class MapProcessPersistenceContextManager

extends org.drools.persistence.map.MapPersistenceContextManager
implements ProcessPersistenceContextManager

Constructor Summary
`MapProcessPersistenceContextManager(ProcessPersistenceContext persistenceContext)`

Method Summary
`ProcessPersistenceContext` | `getProcessPersistenceContext()`

Methods inherited from class org.drools.persistence.map.MapPersistenceContextManager
`beginCommandScopedEntityManager, clearPersistenceContext, dispose, endCommandScopedEntityManager, getApplicationScopedPersistenceContext, getCommandScopedPersistenceContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.persistence.PersistenceContextManager
`beginCommandScopedEntityManager, dispose, endCommandScopedEntityManager, getApplicationScopedPersistenceContext, getCommandScopedPersistenceContext`

Constructor Detail

### MapProcessPersistenceContextManager

    public MapProcessPersistenceContextManager(ProcessPersistenceContext persistenceContext)

Method Detail

### getProcessPersistenceContext

    public ProcessPersistenceContext getProcessPersistenceContext()

  Specified by:
    `getProcessPersistenceContext` in interface `ProcessPersistenceContextManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.